#ifndef __c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_h__
#define __c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_h__

/* Include files */
#include "sfc_sf.h"
#include "sfc_mex.h"
#include "rtwtypes.h"

/* Type Definitions */
typedef struct {
  SimStruct *S;
  const mxArray *c1_setSimStateSideEffectsInfo;
  real_T c1_elapsedTime;
  real_T c1_lastMajorTime;
  real_T c1_presentTime;
  real_T c1_previousTime;
  real_T c1_temporalCounter_i1;
  int32_T c1_sfEvent;
  uint32_T chartNumber;
  uint32_T instanceNumber;
  boolean_T c1_isStable;
  boolean_T c1_stateChanged;
  uint8_T c1_b_is_MOTEUR;
  uint8_T c1_b_is_SENS;
  uint8_T c1_b_is_active_MOTEUR;
  uint8_T c1_b_is_active_SENS;
  uint8_T c1_b_tp_MOTEUR;
  uint8_T c1_b_tp_MOTEUR_OFF;
  uint8_T c1_b_tp_MOTEUR_ON;
  uint8_T c1_b_tp_SENS;
  uint8_T c1_doSetSimStateSideEffects;
  uint8_T c1_is_MOTEUR;
  uint8_T c1_is_SENS;
  uint8_T c1_is_active_MOTEUR;
  uint8_T c1_is_active_SENS;
  uint8_T c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  uint8_T c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  uint8_T c1_tp_ARRET;
  uint8_T c1_tp_ATTENTE;
  uint8_T c1_tp_AUTO;
  uint8_T c1_tp_AUTO_ARRET;
  uint8_T c1_tp_AUTO_DROITE;
  uint8_T c1_tp_AUTO_GAUCHE;
  uint8_T c1_tp_DROITE;
  uint8_T c1_tp_GAUCHE;
  uint8_T c1_tp_MANUEL;
  uint8_T c1_tp_MOTEUR;
  uint8_T c1_tp_MOTEUR_OFF;
  uint8_T c1_tp_MOTEUR_ON;
  uint8_T c1_tp_RETOUR_DROITE;
  uint8_T c1_tp_RETOUR_GAUCHE;
  uint8_T c1_tp_SENS;
  ChartInfoStruct chartInfo;
} SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct;

/* Named Constants */

/* Variable Declarations */

/* Variable Definitions */

/* Function Declarations */
extern const mxArray
  *sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_get_eml_resolved_functions_info(void);

/* Function Definitions */
extern void sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_get_check_sum(mxArray *plhs[]);
extern void c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_method_dispatcher(SimStruct *S,
  int_T method, void *data);

#endif
