/* Include files */

#include "blascompat32.h"
#include "PILOTE_SIMMECHANICS_STATEFLOW_V8_sfun.h"
#include "c1_PILOTE_SIMMECHANICS_STATEFLOW_V8.h"
#include "mwmathutil.h"
#define CHARTINSTANCE_CHARTNUMBER      (chartInstance->chartNumber)
#define CHARTINSTANCE_INSTANCENUMBER   (chartInstance->instanceNumber)
#include "PILOTE_SIMMECHANICS_STATEFLOW_V8_sfun_debug_macros.h"

/* Type Definitions */

/* Named Constants */
#define c1_IN_NO_ACTIVE_CHILD          (0U)
#define c1_IN_MANUEL                   (2U)
#define c1_IN_ARRET                    (1U)
#define c1_IN_GAUCHE                   (3U)
#define c1_IN_DROITE                   (2U)
#define c1_IN_MOTEUR_OFF               (1U)
#define c1_IN_MOTEUR_ON                (2U)
#define c1_IN_AUTO                     (1U)
#define c1_IN_AUTO_ARRET               (2U)
#define c1_IN_RETOUR_GAUCHE            (6U)
#define c1_IN_ATTENTE                  (1U)
#define c1_IN_AUTO_DROITE              (3U)
#define c1_IN_AUTO_GAUCHE              (4U)
#define c1_IN_RETOUR_DROITE            (5U)

/* Variable Declarations */

/* Variable Definitions */

/* Function Declarations */
static void initialize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void initialize_params_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void enable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void disable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void c1_update_debugger_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static const mxArray *get_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void set_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_st);
static void c1_set_sim_state_side_effects_c1_PILOTE_SIMMECHANICS_STATEFLOW_V
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void finalize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void zeroCrossings_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void derivatives_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void outputs_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void initSimStructsc1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void init_script_number_translation(uint32_T c1_machineNumber, uint32_T
  c1_chartNumber);
static void c1_eml_ini_fcn_to_be_inlined_206
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void c1_eml_term_fcn_to_be_inlined_206
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static const mxArray *c1_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, int32_T
   c1_u);
static const mxArray *c1_sf_marshallOut(void *chartInstanceVoid, void *c1_inData);
static int32_T c1_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_b_sfEvent, const char_T *c1_identifier);
static int32_T c1_b_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static void c1_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData);
static const mxArray *c1_b_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, uint8_T
   c1_u);
static const mxArray *c1_b_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData);
static uint8_T c1_c_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_b_tp_MANUEL, const char_T *c1_identifier);
static uint8_T c1_d_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static void c1_b_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData);
static const mxArray *c1_c_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, real_T
   c1_u);
static const mxArray *c1_c_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData);
static real_T c1_e_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_sens_rotation, const char_T *c1_identifier);
static real_T c1_f_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static void c1_c_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData);
static const mxArray *c1_d_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);
static void c1_g_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u);
static const mxArray *c1_h_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_b_setSimStateSideEffectsInfo, const char_T *c1_identifier);
static const mxArray *c1_i_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static void init_dsm_address_info
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance);

/* Function Definitions */
static void initialize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  real_T *c1_sens_rotation;
  real_T *c1_moteur_on;
  c1_moteur_on = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
  c1_sens_rotation = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  chartInstance->c1_sfEvent = CALL_EVENT;
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  chartInstance->c1_doSetSimStateSideEffects = 0U;
  chartInstance->c1_setSimStateSideEffectsInfo = NULL;
  chartInstance->c1_tp_AUTO = 0U;
  chartInstance->c1_b_is_active_MOTEUR = 0U;
  chartInstance->c1_b_is_MOTEUR = 0U;
  chartInstance->c1_b_tp_MOTEUR = 0U;
  chartInstance->c1_b_tp_MOTEUR_OFF = 0U;
  chartInstance->c1_b_tp_MOTEUR_ON = 0U;
  chartInstance->c1_b_is_active_SENS = 0U;
  chartInstance->c1_b_is_SENS = 0U;
  chartInstance->c1_b_tp_SENS = 0U;
  chartInstance->c1_tp_ATTENTE = 0U;
  chartInstance->c1_tp_AUTO_ARRET = 0U;
  chartInstance->c1_tp_AUTO_DROITE = 0U;
  chartInstance->c1_tp_AUTO_GAUCHE = 0U;
  chartInstance->c1_tp_RETOUR_DROITE = 0U;
  chartInstance->c1_tp_RETOUR_GAUCHE = 0U;
  chartInstance->c1_tp_MANUEL = 0U;
  chartInstance->c1_is_active_MOTEUR = 0U;
  chartInstance->c1_is_MOTEUR = 0U;
  chartInstance->c1_tp_MOTEUR = 0U;
  chartInstance->c1_tp_MOTEUR_OFF = 0U;
  chartInstance->c1_tp_MOTEUR_ON = 0U;
  chartInstance->c1_is_active_SENS = 0U;
  chartInstance->c1_is_SENS = 0U;
  chartInstance->c1_tp_SENS = 0U;
  chartInstance->c1_tp_ARRET = 0U;
  chartInstance->c1_tp_DROITE = 0U;
  chartInstance->c1_tp_GAUCHE = 0U;
  chartInstance->c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = 0U;
  chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = 0U;
  if (!(cdrGetOutputPortReusable(chartInstance->S, 1) != 0)) {
    *c1_sens_rotation = 0.0;
  }

  if (!(cdrGetOutputPortReusable(chartInstance->S, 2) != 0)) {
    *c1_moteur_on = 0.0;
  }

  chartInstance->c1_presentTime = 0.0;
  chartInstance->c1_elapsedTime = 0.0;
  chartInstance->c1_previousTime = 0.0;
}

static void initialize_params_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
}

static void enable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  chartInstance->c1_presentTime = _sfTime_;
  chartInstance->c1_previousTime = chartInstance->c1_presentTime;
}

static void disable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  chartInstance->c1_presentTime = _sfTime_;
  chartInstance->c1_elapsedTime = chartInstance->c1_presentTime -
    chartInstance->c1_previousTime;
  chartInstance->c1_previousTime = chartInstance->c1_presentTime;
  chartInstance->c1_temporalCounter_i1 += chartInstance->c1_elapsedTime;
}

static void c1_update_debugger_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  uint32_T c1_prevAniVal;
  c1_prevAniVal = sf_debug_get_animation();
  sf_debug_set_animation(0U);
  if ((int16_T)chartInstance->c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 ==
      1) {
    _SFD_CC_CALL(CHART_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 == c1_IN_MANUEL)
  {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 11U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 11U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_SENS == c1_IN_ARRET) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_SENS == c1_IN_GAUCHE) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 18U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 18U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_SENS == c1_IN_DROITE) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 17U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 17U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_MOTEUR == c1_IN_MOTEUR_OFF) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_MOTEUR == c1_IN_MOTEUR_ON) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 14U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 14U, chartInstance->c1_sfEvent);
  }

  if ((int16_T)chartInstance->c1_is_active_SENS == 1) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 15U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 15U, chartInstance->c1_sfEvent);
  }

  if ((int16_T)chartInstance->c1_is_active_MOTEUR == 1) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 12U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 12U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 == c1_IN_AUTO) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  }

  if ((int16_T)chartInstance->c1_b_is_active_SENS == 1) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 4U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 4U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_SENS == c1_IN_AUTO_ARRET) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_SENS == c1_IN_RETOUR_GAUCHE) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 10U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 10U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_SENS == c1_IN_ATTENTE) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_SENS == c1_IN_AUTO_DROITE) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 7U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 7U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_SENS == c1_IN_AUTO_GAUCHE) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 8U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 8U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_MOTEUR == c1_IN_MOTEUR_OFF) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_MOTEUR == c1_IN_MOTEUR_ON) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 3U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 3U, chartInstance->c1_sfEvent);
  }

  if ((int16_T)chartInstance->c1_b_is_active_MOTEUR == 1) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 1U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 1U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_b_is_SENS == c1_IN_RETOUR_DROITE) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 9U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 9U, chartInstance->c1_sfEvent);
  }

  sf_debug_set_animation(c1_prevAniVal);
  _SFD_ANIMATE();
}

static const mxArray *get_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  const mxArray *c1_st = NULL;
  c1_st = NULL;
  sf_mex_assign(&c1_st, c1_d_emlrt_marshallOut(chartInstance));
  return c1_st;
}

static void set_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_st)
{
  c1_g_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_st));
  chartInstance->c1_doSetSimStateSideEffects = 1U;
  c1_update_debugger_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(chartInstance);
  sf_mex_destroy(&c1_st);
}

static void c1_set_sim_state_side_effects_c1_PILOTE_SIMMECHANICS_STATEFLOW_V
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  if (chartInstance->c1_doSetSimStateSideEffects != 0) {
    if (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 == c1_IN_AUTO)
    {
      chartInstance->c1_tp_AUTO = 1U;
    } else {
      chartInstance->c1_tp_AUTO = 0U;
    }

    if ((int16_T)chartInstance->c1_b_is_active_SENS == 1) {
      chartInstance->c1_b_tp_SENS = 1U;
    } else {
      chartInstance->c1_b_tp_SENS = 0U;
    }

    if (chartInstance->c1_b_is_SENS == c1_IN_ATTENTE) {
      chartInstance->c1_tp_ATTENTE = 1U;
      if (sf_mex_sub(chartInstance->c1_setSimStateSideEffectsInfo,
                     "setSimStateSideEffectsInfo", 1, 4) == 0.0) {
        chartInstance->c1_temporalCounter_i1 = 0.0;
      }
    } else {
      chartInstance->c1_tp_ATTENTE = 0U;
    }

    if (chartInstance->c1_b_is_SENS == c1_IN_AUTO_ARRET) {
      chartInstance->c1_tp_AUTO_ARRET = 1U;
    } else {
      chartInstance->c1_tp_AUTO_ARRET = 0U;
    }

    if (chartInstance->c1_b_is_SENS == c1_IN_AUTO_DROITE) {
      chartInstance->c1_tp_AUTO_DROITE = 1U;
    } else {
      chartInstance->c1_tp_AUTO_DROITE = 0U;
    }

    if (chartInstance->c1_b_is_SENS == c1_IN_AUTO_GAUCHE) {
      chartInstance->c1_tp_AUTO_GAUCHE = 1U;
    } else {
      chartInstance->c1_tp_AUTO_GAUCHE = 0U;
    }

    if (chartInstance->c1_b_is_SENS == c1_IN_RETOUR_DROITE) {
      chartInstance->c1_tp_RETOUR_DROITE = 1U;
    } else {
      chartInstance->c1_tp_RETOUR_DROITE = 0U;
    }

    if (chartInstance->c1_b_is_SENS == c1_IN_RETOUR_GAUCHE) {
      chartInstance->c1_tp_RETOUR_GAUCHE = 1U;
    } else {
      chartInstance->c1_tp_RETOUR_GAUCHE = 0U;
    }

    if ((int16_T)chartInstance->c1_b_is_active_MOTEUR == 1) {
      chartInstance->c1_b_tp_MOTEUR = 1U;
    } else {
      chartInstance->c1_b_tp_MOTEUR = 0U;
    }

    if (chartInstance->c1_b_is_MOTEUR == c1_IN_MOTEUR_OFF) {
      chartInstance->c1_b_tp_MOTEUR_OFF = 1U;
    } else {
      chartInstance->c1_b_tp_MOTEUR_OFF = 0U;
    }

    if (chartInstance->c1_b_is_MOTEUR == c1_IN_MOTEUR_ON) {
      chartInstance->c1_b_tp_MOTEUR_ON = 1U;
    } else {
      chartInstance->c1_b_tp_MOTEUR_ON = 0U;
    }

    if (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 == c1_IN_MANUEL)
    {
      chartInstance->c1_tp_MANUEL = 1U;
    } else {
      chartInstance->c1_tp_MANUEL = 0U;
    }

    if ((int16_T)chartInstance->c1_is_active_SENS == 1) {
      chartInstance->c1_tp_SENS = 1U;
    } else {
      chartInstance->c1_tp_SENS = 0U;
    }

    if (chartInstance->c1_is_SENS == c1_IN_ARRET) {
      chartInstance->c1_tp_ARRET = 1U;
    } else {
      chartInstance->c1_tp_ARRET = 0U;
    }

    if (chartInstance->c1_is_SENS == c1_IN_DROITE) {
      chartInstance->c1_tp_DROITE = 1U;
    } else {
      chartInstance->c1_tp_DROITE = 0U;
    }

    if (chartInstance->c1_is_SENS == c1_IN_GAUCHE) {
      chartInstance->c1_tp_GAUCHE = 1U;
    } else {
      chartInstance->c1_tp_GAUCHE = 0U;
    }

    if ((int16_T)chartInstance->c1_is_active_MOTEUR == 1) {
      chartInstance->c1_tp_MOTEUR = 1U;
    } else {
      chartInstance->c1_tp_MOTEUR = 0U;
    }

    if (chartInstance->c1_is_MOTEUR == c1_IN_MOTEUR_OFF) {
      chartInstance->c1_tp_MOTEUR_OFF = 1U;
    } else {
      chartInstance->c1_tp_MOTEUR_OFF = 0U;
    }

    if (chartInstance->c1_is_MOTEUR == c1_IN_MOTEUR_ON) {
      chartInstance->c1_tp_MOTEUR_ON = 1U;
    } else {
      chartInstance->c1_tp_MOTEUR_ON = 0U;
    }

    chartInstance->c1_doSetSimStateSideEffects = 0U;
  }
}

static void finalize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  sf_mex_destroy(&chartInstance->c1_setSimStateSideEffectsInfo);
}

static void sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  boolean_T c1_temp;
  boolean_T c1_b_temp;
  boolean_T c1_c_temp;
  boolean_T c1_d_temp;
  boolean_T c1_e_temp;
  boolean_T c1_f_temp;
  boolean_T c1_g_temp;
  boolean_T c1_h_temp;
  boolean_T c1_i_temp;
  real_T *c1_ecart_cap;
  real_T *c1_sens_rotation;
  real_T *c1_moteur_on;
  real_T *c1_pos_coul;
  real_T *c1_bouton_gauche;
  real_T *c1_bouton_droite;
  real_T *c1_mode_auto;
  c1_mode_auto = (real_T *)ssGetInputPortSignal(chartInstance->S, 4);
  c1_bouton_droite = (real_T *)ssGetInputPortSignal(chartInstance->S, 3);
  c1_bouton_gauche = (real_T *)ssGetInputPortSignal(chartInstance->S, 2);
  c1_pos_coul = (real_T *)ssGetInputPortSignal(chartInstance->S, 1);
  c1_moteur_on = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
  c1_sens_rotation = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  c1_ecart_cap = (real_T *)ssGetInputPortSignal(chartInstance->S, 0);
  c1_set_sim_state_side_effects_c1_PILOTE_SIMMECHANICS_STATEFLOW_V(chartInstance);
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  if (ssIsMajorTimeStep(chartInstance->S) != 0) {
    chartInstance->c1_lastMajorTime = _sfTime_;
    chartInstance->c1_stateChanged = (boolean_T)0;
    chartInstance->c1_presentTime = _sfTime_;
    chartInstance->c1_elapsedTime = chartInstance->c1_presentTime -
      chartInstance->c1_previousTime;
    chartInstance->c1_previousTime = chartInstance->c1_presentTime;
    chartInstance->c1_temporalCounter_i1 += chartInstance->c1_elapsedTime;
    _SFD_CC_CALL(CHART_ENTER_SFUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
    _SFD_DATA_RANGE_CHECK(*c1_ecart_cap, 0U);
    _SFD_DATA_RANGE_CHECK(*c1_sens_rotation, 1U);
    _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
    _SFD_DATA_RANGE_CHECK(*c1_pos_coul, 3U);
    _SFD_DATA_RANGE_CHECK(*c1_bouton_gauche, 4U);
    _SFD_DATA_RANGE_CHECK(*c1_bouton_droite, 5U);
    _SFD_DATA_RANGE_CHECK(*c1_mode_auto, 6U);
    chartInstance->c1_sfEvent = CALL_EVENT;
    _SFD_CC_CALL(CHART_ENTER_DURING_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
    if ((int16_T)chartInstance->c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
        == 0) {
      _SFD_CC_CALL(CHART_ENTER_ENTRY_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
      chartInstance->c1_stateChanged = TRUE;
      chartInstance->c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = 1U;
      _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
      _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 0U,
                   chartInstance->c1_sfEvent);
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
      chartInstance->c1_stateChanged = TRUE;
      chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = c1_IN_MANUEL;
      _SFD_CS_CALL(STATE_ACTIVE_TAG, 11U, chartInstance->c1_sfEvent);
      chartInstance->c1_tp_MANUEL = 1U;
      chartInstance->c1_stateChanged = TRUE;
      chartInstance->c1_is_active_SENS = 1U;
      _SFD_CS_CALL(STATE_ACTIVE_TAG, 15U, chartInstance->c1_sfEvent);
      chartInstance->c1_tp_SENS = 1U;
      _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 7U,
                   chartInstance->c1_sfEvent);
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 7U, chartInstance->c1_sfEvent);
      chartInstance->c1_stateChanged = TRUE;
      chartInstance->c1_is_SENS = c1_IN_ARRET;
      _SFD_CS_CALL(STATE_ACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
      chartInstance->c1_tp_ARRET = 1U;
      chartInstance->c1_stateChanged = TRUE;
      chartInstance->c1_is_active_MOTEUR = 1U;
      _SFD_CS_CALL(STATE_ACTIVE_TAG, 12U, chartInstance->c1_sfEvent);
      chartInstance->c1_tp_MOTEUR = 1U;
      _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 8U,
                   chartInstance->c1_sfEvent);
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 8U, chartInstance->c1_sfEvent);
      chartInstance->c1_stateChanged = TRUE;
      chartInstance->c1_is_MOTEUR = c1_IN_MOTEUR_OFF;
      _SFD_CS_CALL(STATE_ACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
      chartInstance->c1_tp_MOTEUR_OFF = 1U;
      *c1_moteur_on = 0.0;
      _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
    } else {
      switch (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8) {
       case c1_IN_AUTO:
        CV_CHART_EVAL(0, 0, 1);
        _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 15U,
                     chartInstance->c1_sfEvent);
        if (CV_TRANSITION_EVAL(15U, (int32_T)_SFD_CCP_CALL(15U, 0, *c1_mode_auto
              == 0.0 != 0U, chartInstance->c1_sfEvent))) {
          _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 15U, chartInstance->c1_sfEvent);
          switch (chartInstance->c1_b_is_MOTEUR) {
           case c1_IN_MOTEUR_OFF:
            CV_STATE_EVAL(1, 1, 1);
            chartInstance->c1_b_tp_MOTEUR_OFF = 0U;
            chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_MOTEUR_ON:
            CV_STATE_EVAL(1, 1, 2);
            chartInstance->c1_b_tp_MOTEUR_ON = 0U;
            chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 3U, chartInstance->c1_sfEvent);
            break;

           default:
            CV_STATE_EVAL(1, 1, 0);
            chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
            break;
          }

          chartInstance->c1_b_tp_MOTEUR = 0U;
          chartInstance->c1_b_is_active_MOTEUR = 0U;
          _SFD_CS_CALL(STATE_INACTIVE_TAG, 1U, chartInstance->c1_sfEvent);
          switch (chartInstance->c1_b_is_SENS) {
           case c1_IN_ATTENTE:
            CV_STATE_EVAL(4, 1, 1);
            chartInstance->c1_tp_ATTENTE = 0U;
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_AUTO_ARRET:
            CV_STATE_EVAL(4, 1, 2);
            chartInstance->c1_tp_AUTO_ARRET = 0U;
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_AUTO_DROITE:
            CV_STATE_EVAL(4, 1, 3);
            chartInstance->c1_tp_AUTO_DROITE = 0U;
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 7U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_AUTO_GAUCHE:
            CV_STATE_EVAL(4, 1, 4);
            chartInstance->c1_tp_AUTO_GAUCHE = 0U;
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 8U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_RETOUR_DROITE:
            CV_STATE_EVAL(4, 1, 5);
            chartInstance->c1_tp_RETOUR_DROITE = 0U;
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 9U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_RETOUR_GAUCHE:
            CV_STATE_EVAL(4, 1, 6);
            chartInstance->c1_tp_RETOUR_GAUCHE = 0U;
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 10U, chartInstance->c1_sfEvent);
            break;

           default:
            CV_STATE_EVAL(4, 1, 0);
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
            break;
          }

          chartInstance->c1_b_tp_SENS = 0U;
          chartInstance->c1_b_is_active_SENS = 0U;
          _SFD_CS_CALL(STATE_INACTIVE_TAG, 4U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_AUTO = 0U;
          _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 =
            c1_IN_MANUEL;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 11U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_MANUEL = 1U;
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_is_active_SENS = 1U;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 15U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_SENS = 1U;
          _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 7U,
                       chartInstance->c1_sfEvent);
          _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 7U, chartInstance->c1_sfEvent);
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_is_SENS = c1_IN_ARRET;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_ARRET = 1U;
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_is_active_MOTEUR = 1U;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 12U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_MOTEUR = 1U;
          _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 8U,
                       chartInstance->c1_sfEvent);
          _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 8U, chartInstance->c1_sfEvent);
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_is_MOTEUR = c1_IN_MOTEUR_OFF;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_MOTEUR_OFF = 1U;
          *c1_moteur_on = 0.0;
          _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
        } else {
          switch (chartInstance->c1_b_is_SENS) {
           case c1_IN_ATTENTE:
            CV_STATE_EVAL(4, 0, 1);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 18U,
                         chartInstance->c1_sfEvent);
            if (CV_TRANSITION_EVAL(18U, (int32_T)_SFD_CCP_CALL(18U, 0,
                  chartInstance->c1_temporalCounter_i1 + (_sfTime_ -
                   chartInstance->c1_previousTime) >= 2.0 != 0U,
                  chartInstance->c1_sfEvent))) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 18U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_ATTENTE = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_SENS = c1_IN_AUTO_ARRET;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_AUTO_ARRET = 1U;
            }
            break;

           case c1_IN_AUTO_ARRET:
            CV_STATE_EVAL(4, 0, 2);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 11U,
                         chartInstance->c1_sfEvent);
            c1_temp = (_SFD_CCP_CALL(11U, 0, *c1_ecart_cap > 1.0 != 0U,
                        chartInstance->c1_sfEvent) != 0);
            if (c1_temp) {
              c1_temp = (_SFD_CCP_CALL(11U, 1, *c1_pos_coul <= 125.0 != 0U,
                          chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(11U, (int32_T)c1_temp)) {
              if (sf_debug_transition_conflict_check_enabled()) {
                unsigned int transitionList[2];
                unsigned int numTransitions = 1;
                transitionList[0] = 11;
                sf_debug_transition_conflict_check_begin();
                if ((*c1_ecart_cap < -1.0) && (*c1_pos_coul >= -125.0)) {
                  transitionList[numTransitions] = 19;
                  numTransitions++;
                }

                sf_debug_transition_conflict_check_end();
                if (numTransitions > 1) {
                  _SFD_TRANSITION_CONFLICT(&(transitionList[0]),numTransitions);
                }
              }

              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 11U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_AUTO_ARRET = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_SENS = c1_IN_AUTO_GAUCHE;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 8U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_AUTO_GAUCHE = 1U;
              *c1_sens_rotation = 1.0;
              _SFD_DATA_RANGE_CHECK(*c1_sens_rotation, 1U);
            } else {
              _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 19U,
                           chartInstance->c1_sfEvent);
              c1_b_temp = (_SFD_CCP_CALL(19U, 0, *c1_ecart_cap < -1.0 != 0U,
                chartInstance->c1_sfEvent) != 0);
              if (c1_b_temp) {
                c1_b_temp = (_SFD_CCP_CALL(19U, 1, *c1_pos_coul >= -125.0 != 0U,
                  chartInstance->c1_sfEvent) != 0);
              }

              if (CV_TRANSITION_EVAL(19U, (int32_T)c1_b_temp)) {
                _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 19U,
                             chartInstance->c1_sfEvent);
                chartInstance->c1_tp_AUTO_ARRET = 0U;
                _SFD_CS_CALL(STATE_INACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
                chartInstance->c1_stateChanged = TRUE;
                chartInstance->c1_b_is_SENS = c1_IN_AUTO_DROITE;
                _SFD_CS_CALL(STATE_ACTIVE_TAG, 7U, chartInstance->c1_sfEvent);
                chartInstance->c1_tp_AUTO_DROITE = 1U;
                *c1_sens_rotation = 0.0;
                _SFD_DATA_RANGE_CHECK(*c1_sens_rotation, 1U);
              }
            }
            break;

           case c1_IN_AUTO_DROITE:
            CV_STATE_EVAL(4, 0, 3);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 20U,
                         chartInstance->c1_sfEvent);
            c1_c_temp = (_SFD_CCP_CALL(20U, 0, *c1_ecart_cap >= -1.0 != 0U,
              chartInstance->c1_sfEvent) != 0);
            if (!c1_c_temp) {
              c1_c_temp = (_SFD_CCP_CALL(20U, 1, *c1_pos_coul <= -120.0 != 0U,
                chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(20U, (int32_T)c1_c_temp)) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 20U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_AUTO_DROITE = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 7U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_SENS = c1_IN_RETOUR_DROITE;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 9U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_RETOUR_DROITE = 1U;
              *c1_sens_rotation = 1.0;
              _SFD_DATA_RANGE_CHECK(*c1_sens_rotation, 1U);
            }
            break;

           case c1_IN_AUTO_GAUCHE:
            CV_STATE_EVAL(4, 0, 4);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 16U,
                         chartInstance->c1_sfEvent);
            c1_d_temp = (_SFD_CCP_CALL(16U, 0, *c1_ecart_cap <= 1.0 != 0U,
              chartInstance->c1_sfEvent) != 0);
            if (!c1_d_temp) {
              c1_d_temp = (_SFD_CCP_CALL(16U, 1, *c1_pos_coul >= 120.0 != 0U,
                chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(16U, (int32_T)c1_d_temp)) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_AUTO_GAUCHE = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 8U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_SENS = c1_IN_RETOUR_GAUCHE;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 10U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_RETOUR_GAUCHE = 1U;
              *c1_sens_rotation = 0.0;
              _SFD_DATA_RANGE_CHECK(*c1_sens_rotation, 1U);
            }
            break;

           case c1_IN_RETOUR_DROITE:
            CV_STATE_EVAL(4, 0, 5);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 17U,
                         chartInstance->c1_sfEvent);
            if (CV_TRANSITION_EVAL(17U, (int32_T)_SFD_CCP_CALL(17U, 0,
                  muDoubleScalarAbs(*c1_pos_coul) <= 5.0 != 0U,
                  chartInstance->c1_sfEvent))) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 17U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_RETOUR_DROITE = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 9U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_SENS = c1_IN_ATTENTE;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
              chartInstance->c1_temporalCounter_i1 = 0.0;
              chartInstance->c1_tp_ATTENTE = 1U;
            }
            break;

           case c1_IN_RETOUR_GAUCHE:
            CV_STATE_EVAL(4, 0, 6);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 21U,
                         chartInstance->c1_sfEvent);
            if (CV_TRANSITION_EVAL(21U, (int32_T)_SFD_CCP_CALL(21U, 0,
                  muDoubleScalarAbs(*c1_pos_coul) <= 5.0 != 0U,
                  chartInstance->c1_sfEvent))) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 21U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_RETOUR_GAUCHE = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 10U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_SENS = c1_IN_ATTENTE;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
              chartInstance->c1_temporalCounter_i1 = 0.0;
              chartInstance->c1_tp_ATTENTE = 1U;
            }
            break;

           default:
            CV_STATE_EVAL(4, 0, 0);
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
            break;
          }

          switch (chartInstance->c1_b_is_MOTEUR) {
           case c1_IN_MOTEUR_OFF:
            CV_STATE_EVAL(1, 0, 1);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 9U,
                         chartInstance->c1_sfEvent);
            c1_e_temp = (_SFD_CCP_CALL(9U, 0, chartInstance->c1_b_is_SENS ==
              c1_IN_AUTO_GAUCHE != 0U, chartInstance->c1_sfEvent) != 0);
            if (!c1_e_temp) {
              c1_e_temp = (_SFD_CCP_CALL(9U, 1, chartInstance->c1_b_is_SENS ==
                c1_IN_AUTO_DROITE != 0U, chartInstance->c1_sfEvent) != 0);
            }

            c1_f_temp = c1_e_temp;
            if (!c1_f_temp) {
              c1_f_temp = (_SFD_CCP_CALL(9U, 2, chartInstance->c1_b_is_SENS ==
                c1_IN_RETOUR_DROITE != 0U, chartInstance->c1_sfEvent) != 0);
            }

            c1_g_temp = c1_f_temp;
            if (!c1_g_temp) {
              c1_g_temp = (_SFD_CCP_CALL(9U, 3, chartInstance->c1_b_is_SENS ==
                c1_IN_RETOUR_GAUCHE != 0U, chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(9U, (int32_T)c1_g_temp)) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 9U, chartInstance->c1_sfEvent);
              chartInstance->c1_b_tp_MOTEUR_OFF = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_MOTEUR = c1_IN_MOTEUR_ON;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 3U, chartInstance->c1_sfEvent);
              chartInstance->c1_b_tp_MOTEUR_ON = 1U;
              *c1_moteur_on = 1.0;
              _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
            }
            break;

           case c1_IN_MOTEUR_ON:
            CV_STATE_EVAL(1, 0, 2);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 10U,
                         chartInstance->c1_sfEvent);
            c1_h_temp = (_SFD_CCP_CALL(10U, 0, chartInstance->c1_b_is_SENS ==
              c1_IN_AUTO_ARRET != 0U, chartInstance->c1_sfEvent) != 0);
            if (!c1_h_temp) {
              c1_h_temp = (_SFD_CCP_CALL(10U, 1, chartInstance->c1_b_is_SENS ==
                c1_IN_ATTENTE != 0U, chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(10U, (int32_T)c1_h_temp)) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 10U, chartInstance->c1_sfEvent);
              chartInstance->c1_b_tp_MOTEUR_ON = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 3U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_b_is_MOTEUR = c1_IN_MOTEUR_OFF;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
              chartInstance->c1_b_tp_MOTEUR_OFF = 1U;
              *c1_moteur_on = 0.0;
              _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
            }
            break;

           default:
            CV_STATE_EVAL(1, 0, 0);
            chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
            break;
          }
        }
        break;

       case c1_IN_MANUEL:
        CV_CHART_EVAL(0, 0, 2);
        _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 14U,
                     chartInstance->c1_sfEvent);
        if (CV_TRANSITION_EVAL(14U, (int32_T)_SFD_CCP_CALL(14U, 0, *c1_mode_auto
              == 1.0 != 0U, chartInstance->c1_sfEvent))) {
          _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 14U, chartInstance->c1_sfEvent);
          switch (chartInstance->c1_is_MOTEUR) {
           case c1_IN_MOTEUR_OFF:
            CV_STATE_EVAL(12, 1, 1);
            chartInstance->c1_tp_MOTEUR_OFF = 0U;
            chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_MOTEUR_ON:
            CV_STATE_EVAL(12, 1, 2);
            chartInstance->c1_tp_MOTEUR_ON = 0U;
            chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 14U, chartInstance->c1_sfEvent);
            break;

           default:
            CV_STATE_EVAL(12, 1, 0);
            chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
            break;
          }

          chartInstance->c1_tp_MOTEUR = 0U;
          chartInstance->c1_is_active_MOTEUR = 0U;
          _SFD_CS_CALL(STATE_INACTIVE_TAG, 12U, chartInstance->c1_sfEvent);
          switch (chartInstance->c1_is_SENS) {
           case c1_IN_ARRET:
            CV_STATE_EVAL(15, 1, 1);
            chartInstance->c1_tp_ARRET = 0U;
            chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_DROITE:
            CV_STATE_EVAL(15, 1, 2);
            chartInstance->c1_tp_DROITE = 0U;
            chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 17U, chartInstance->c1_sfEvent);
            break;

           case c1_IN_GAUCHE:
            CV_STATE_EVAL(15, 1, 3);
            chartInstance->c1_tp_GAUCHE = 0U;
            chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 18U, chartInstance->c1_sfEvent);
            break;

           default:
            CV_STATE_EVAL(15, 1, 0);
            chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
            break;
          }

          chartInstance->c1_tp_SENS = 0U;
          chartInstance->c1_is_active_SENS = 0U;
          _SFD_CS_CALL(STATE_INACTIVE_TAG, 15U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_MANUEL = 0U;
          _SFD_CS_CALL(STATE_INACTIVE_TAG, 11U, chartInstance->c1_sfEvent);
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = c1_IN_AUTO;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_AUTO = 1U;
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_b_is_active_SENS = 1U;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 4U, chartInstance->c1_sfEvent);
          chartInstance->c1_b_tp_SENS = 1U;
          _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 12U,
                       chartInstance->c1_sfEvent);
          _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 12U, chartInstance->c1_sfEvent);
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_b_is_SENS = c1_IN_AUTO_ARRET;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
          chartInstance->c1_tp_AUTO_ARRET = 1U;
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_b_is_active_MOTEUR = 1U;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 1U, chartInstance->c1_sfEvent);
          chartInstance->c1_b_tp_MOTEUR = 1U;
          _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 13U,
                       chartInstance->c1_sfEvent);
          _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
          chartInstance->c1_stateChanged = TRUE;
          chartInstance->c1_b_is_MOTEUR = c1_IN_MOTEUR_OFF;
          _SFD_CS_CALL(STATE_ACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
          chartInstance->c1_b_tp_MOTEUR_OFF = 1U;
          *c1_moteur_on = 0.0;
          _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
        } else {
          switch (chartInstance->c1_is_SENS) {
           case c1_IN_ARRET:
            CV_STATE_EVAL(15, 0, 1);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 3U,
                         chartInstance->c1_sfEvent);
            if (CV_TRANSITION_EVAL(3U, (int32_T)_SFD_CCP_CALL(3U, 0,
                  *c1_bouton_gauche == 1.0 != 0U, chartInstance->c1_sfEvent))) {
              if (sf_debug_transition_conflict_check_enabled()) {
                unsigned int transitionList[2];
                unsigned int numTransitions = 1;
                transitionList[0] = 3;
                sf_debug_transition_conflict_check_begin();
                if (*c1_bouton_droite == 1.0) {
                  transitionList[numTransitions] = 4;
                  numTransitions++;
                }

                sf_debug_transition_conflict_check_end();
                if (numTransitions > 1) {
                  _SFD_TRANSITION_CONFLICT(&(transitionList[0]),numTransitions);
                }
              }

              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 3U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_ARRET = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_is_SENS = c1_IN_GAUCHE;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 18U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_GAUCHE = 1U;
              *c1_sens_rotation = 1.0;
              _SFD_DATA_RANGE_CHECK(*c1_sens_rotation, 1U);
            } else {
              _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 4U,
                           chartInstance->c1_sfEvent);
              if (CV_TRANSITION_EVAL(4U, (int32_T)_SFD_CCP_CALL(4U, 0,
                    *c1_bouton_droite == 1.0 != 0U, chartInstance->c1_sfEvent)))
              {
                _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 4U,
                             chartInstance->c1_sfEvent);
                chartInstance->c1_tp_ARRET = 0U;
                _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
                chartInstance->c1_stateChanged = TRUE;
                chartInstance->c1_is_SENS = c1_IN_DROITE;
                _SFD_CS_CALL(STATE_ACTIVE_TAG, 17U, chartInstance->c1_sfEvent);
                chartInstance->c1_tp_DROITE = 1U;
                *c1_sens_rotation = 0.0;
                _SFD_DATA_RANGE_CHECK(*c1_sens_rotation, 1U);
              }
            }
            break;

           case c1_IN_DROITE:
            CV_STATE_EVAL(15, 0, 2);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 6U,
                         chartInstance->c1_sfEvent);
            if (CV_TRANSITION_EVAL(6U, (int32_T)_SFD_CCP_CALL(6U, 0,
                  *c1_bouton_droite == 0.0 != 0U, chartInstance->c1_sfEvent))) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 6U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_DROITE = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 17U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_is_SENS = c1_IN_ARRET;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_ARRET = 1U;
            }
            break;

           case c1_IN_GAUCHE:
            CV_STATE_EVAL(15, 0, 3);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 5U,
                         chartInstance->c1_sfEvent);
            if (CV_TRANSITION_EVAL(5U, (int32_T)_SFD_CCP_CALL(5U, 0,
                  *c1_bouton_gauche == 0.0 != 0U, chartInstance->c1_sfEvent))) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_GAUCHE = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 18U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_is_SENS = c1_IN_ARRET;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_ARRET = 1U;
            }
            break;

           default:
            CV_STATE_EVAL(15, 0, 0);
            chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
            break;
          }

          switch (chartInstance->c1_is_MOTEUR) {
           case c1_IN_MOTEUR_OFF:
            CV_STATE_EVAL(12, 0, 1);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 1U,
                         chartInstance->c1_sfEvent);
            c1_i_temp = (_SFD_CCP_CALL(1U, 0, chartInstance->c1_is_SENS ==
              c1_IN_GAUCHE != 0U, chartInstance->c1_sfEvent) != 0);
            if (!c1_i_temp) {
              c1_i_temp = (_SFD_CCP_CALL(1U, 1, chartInstance->c1_is_SENS ==
                c1_IN_DROITE != 0U, chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(1U, (int32_T)c1_i_temp)) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 1U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_MOTEUR_OFF = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_is_MOTEUR = c1_IN_MOTEUR_ON;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 14U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_MOTEUR_ON = 1U;
              *c1_moteur_on = 1.0;
              _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
            }
            break;

           case c1_IN_MOTEUR_ON:
            CV_STATE_EVAL(12, 0, 2);
            _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 2U,
                         chartInstance->c1_sfEvent);
            if (CV_TRANSITION_EVAL(2U, (int32_T)_SFD_CCP_CALL(2U, 0,
                  chartInstance->c1_is_SENS == c1_IN_ARRET != 0U,
                  chartInstance->c1_sfEvent))) {
              _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_MOTEUR_ON = 0U;
              _SFD_CS_CALL(STATE_INACTIVE_TAG, 14U, chartInstance->c1_sfEvent);
              chartInstance->c1_stateChanged = TRUE;
              chartInstance->c1_is_MOTEUR = c1_IN_MOTEUR_OFF;
              _SFD_CS_CALL(STATE_ACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
              chartInstance->c1_tp_MOTEUR_OFF = 1U;
              *c1_moteur_on = 0.0;
              _SFD_DATA_RANGE_CHECK(*c1_moteur_on, 2U);
            }
            break;

           default:
            CV_STATE_EVAL(12, 0, 0);
            chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
            break;
          }
        }
        break;

       default:
        CV_CHART_EVAL(0, 0, 0);
        chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = (uint8_T)
          c1_IN_NO_ACTIVE_CHILD;
        _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
        break;
      }
    }

    _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
    if (chartInstance->c1_stateChanged) {
      ssSetSolverNeedsReset(chartInstance->S);
    }
  }

  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  switch (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8) {
   case c1_IN_AUTO:
    CV_CHART_EVAL(0, 0, 1);
    switch (chartInstance->c1_b_is_SENS) {
     case c1_IN_ATTENTE:
      CV_STATE_EVAL(4, 0, 1);
      break;

     case c1_IN_AUTO_ARRET:
      CV_STATE_EVAL(4, 0, 2);
      break;

     case c1_IN_AUTO_DROITE:
      CV_STATE_EVAL(4, 0, 3);
      break;

     case c1_IN_AUTO_GAUCHE:
      CV_STATE_EVAL(4, 0, 4);
      break;

     case c1_IN_RETOUR_DROITE:
      CV_STATE_EVAL(4, 0, 5);
      break;

     case c1_IN_RETOUR_GAUCHE:
      CV_STATE_EVAL(4, 0, 6);
      break;

     default:
      CV_STATE_EVAL(4, 0, 0);
      chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
      break;
    }

    switch (chartInstance->c1_b_is_MOTEUR) {
     case c1_IN_MOTEUR_OFF:
      CV_STATE_EVAL(1, 0, 1);
      break;

     case c1_IN_MOTEUR_ON:
      CV_STATE_EVAL(1, 0, 2);
      break;

     default:
      CV_STATE_EVAL(1, 0, 0);
      chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
      break;
    }
    break;

   case c1_IN_MANUEL:
    CV_CHART_EVAL(0, 0, 2);
    switch (chartInstance->c1_is_SENS) {
     case c1_IN_ARRET:
      CV_STATE_EVAL(15, 0, 1);
      break;

     case c1_IN_DROITE:
      CV_STATE_EVAL(15, 0, 2);
      break;

     case c1_IN_GAUCHE:
      CV_STATE_EVAL(15, 0, 3);
      break;

     default:
      CV_STATE_EVAL(15, 0, 0);
      chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
      break;
    }

    switch (chartInstance->c1_is_MOTEUR) {
     case c1_IN_MOTEUR_OFF:
      CV_STATE_EVAL(12, 0, 1);
      break;

     case c1_IN_MOTEUR_ON:
      CV_STATE_EVAL(12, 0, 2);
      break;

     default:
      CV_STATE_EVAL(12, 0, 0);
      chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
      break;
    }
    break;

   default:
    CV_CHART_EVAL(0, 0, 0);
    chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = (uint8_T)
      c1_IN_NO_ACTIVE_CHILD;
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
    break;
  }

  sf_debug_check_for_state_inconsistency
    (_PILOTE_SIMMECHANICS_STATEFLOW_V8MachineNumber_, chartInstance->chartNumber,
     chartInstance->instanceNumber);
}

static void zeroCrossings_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  boolean_T c1_temp;
  boolean_T c1_b_temp;
  boolean_T c1_c_temp;
  boolean_T c1_d_temp;
  boolean_T c1_e_temp;
  boolean_T c1_f_temp;
  boolean_T c1_g_temp;
  boolean_T c1_h_temp;
  boolean_T c1_i_temp;
  real_T *c1_zcVar;
  real_T *c1_mode_auto;
  real_T *c1_ecart_cap;
  real_T *c1_pos_coul;
  real_T *c1_bouton_gauche;
  real_T *c1_bouton_droite;
  boolean_T guard1 = FALSE;
  boolean_T guard2 = FALSE;
  c1_mode_auto = (real_T *)ssGetInputPortSignal(chartInstance->S, 4);
  c1_bouton_droite = (real_T *)ssGetInputPortSignal(chartInstance->S, 3);
  c1_bouton_gauche = (real_T *)ssGetInputPortSignal(chartInstance->S, 2);
  c1_pos_coul = (real_T *)ssGetInputPortSignal(chartInstance->S, 1);
  c1_ecart_cap = (real_T *)ssGetInputPortSignal(chartInstance->S, 0);
  c1_zcVar = (real_T *)(ssGetNonsampledZCs(chartInstance->S) + 0);
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  if (chartInstance->c1_lastMajorTime == _sfTime_) {
    *c1_zcVar = -1.0;
  } else {
    chartInstance->c1_stateChanged = (boolean_T)0;
    if ((int16_T)chartInstance->c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
        == 0) {
      chartInstance->c1_stateChanged = TRUE;
    } else {
      guard1 = FALSE;
      guard2 = FALSE;
      switch (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8) {
       case c1_IN_AUTO:
        CV_CHART_EVAL(0, 0, 1);
        if (CV_TRANSITION_EVAL(15U, (int32_T)_SFD_CCP_CALL(15U, 0, *c1_mode_auto
              == 0.0 != 0U, chartInstance->c1_sfEvent))) {
          chartInstance->c1_stateChanged = TRUE;
        } else {
          switch (chartInstance->c1_b_is_SENS) {
           case c1_IN_ATTENTE:
            CV_STATE_EVAL(4, 0, 1);
            if (CV_TRANSITION_EVAL(18U, (int32_T)_SFD_CCP_CALL(18U, 0,
                  chartInstance->c1_temporalCounter_i1 + (_sfTime_ -
                   chartInstance->c1_previousTime) >= 2.0 != 0U,
                  chartInstance->c1_sfEvent))) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard1 = TRUE;
            }
            break;

           case c1_IN_AUTO_ARRET:
            CV_STATE_EVAL(4, 0, 2);
            c1_temp = (_SFD_CCP_CALL(11U, 0, *c1_ecart_cap > 1.0 != 0U,
                        chartInstance->c1_sfEvent) != 0);
            if (c1_temp) {
              c1_temp = (_SFD_CCP_CALL(11U, 1, *c1_pos_coul <= 125.0 != 0U,
                          chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(11U, (int32_T)c1_temp)) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              c1_b_temp = (_SFD_CCP_CALL(19U, 0, *c1_ecart_cap < -1.0 != 0U,
                chartInstance->c1_sfEvent) != 0);
              if (c1_b_temp) {
                c1_b_temp = (_SFD_CCP_CALL(19U, 1, *c1_pos_coul >= -125.0 != 0U,
                  chartInstance->c1_sfEvent) != 0);
              }

              if (CV_TRANSITION_EVAL(19U, (int32_T)c1_b_temp)) {
                chartInstance->c1_stateChanged = TRUE;
              } else {
                guard1 = TRUE;
              }
            }
            break;

           case c1_IN_AUTO_DROITE:
            CV_STATE_EVAL(4, 0, 3);
            c1_c_temp = (_SFD_CCP_CALL(20U, 0, *c1_ecart_cap >= -1.0 != 0U,
              chartInstance->c1_sfEvent) != 0);
            if (!c1_c_temp) {
              c1_c_temp = (_SFD_CCP_CALL(20U, 1, *c1_pos_coul <= -120.0 != 0U,
                chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(20U, (int32_T)c1_c_temp)) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard1 = TRUE;
            }
            break;

           case c1_IN_AUTO_GAUCHE:
            CV_STATE_EVAL(4, 0, 4);
            c1_d_temp = (_SFD_CCP_CALL(16U, 0, *c1_ecart_cap <= 1.0 != 0U,
              chartInstance->c1_sfEvent) != 0);
            if (!c1_d_temp) {
              c1_d_temp = (_SFD_CCP_CALL(16U, 1, *c1_pos_coul >= 120.0 != 0U,
                chartInstance->c1_sfEvent) != 0);
            }

            if (CV_TRANSITION_EVAL(16U, (int32_T)c1_d_temp)) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard1 = TRUE;
            }
            break;

           case c1_IN_RETOUR_DROITE:
            CV_STATE_EVAL(4, 0, 5);
            if (CV_TRANSITION_EVAL(17U, (int32_T)_SFD_CCP_CALL(17U, 0,
                  muDoubleScalarAbs(*c1_pos_coul) <= 5.0 != 0U,
                  chartInstance->c1_sfEvent))) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard1 = TRUE;
            }
            break;

           case c1_IN_RETOUR_GAUCHE:
            CV_STATE_EVAL(4, 0, 6);
            if (CV_TRANSITION_EVAL(21U, (int32_T)_SFD_CCP_CALL(21U, 0,
                  muDoubleScalarAbs(*c1_pos_coul) <= 5.0 != 0U,
                  chartInstance->c1_sfEvent))) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard1 = TRUE;
            }
            break;

           default:
            CV_STATE_EVAL(4, 0, 0);
            chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            guard1 = TRUE;
            break;
          }
        }
        break;

       case c1_IN_MANUEL:
        CV_CHART_EVAL(0, 0, 2);
        if (CV_TRANSITION_EVAL(14U, (int32_T)_SFD_CCP_CALL(14U, 0, *c1_mode_auto
              == 1.0 != 0U, chartInstance->c1_sfEvent))) {
          chartInstance->c1_stateChanged = TRUE;
        } else {
          switch (chartInstance->c1_is_SENS) {
           case c1_IN_ARRET:
            CV_STATE_EVAL(15, 0, 1);
            if (CV_TRANSITION_EVAL(3U, (int32_T)_SFD_CCP_CALL(3U, 0,
                  *c1_bouton_gauche == 1.0 != 0U, chartInstance->c1_sfEvent))) {
              chartInstance->c1_stateChanged = TRUE;
            } else if (CV_TRANSITION_EVAL(4U, (int32_T)_SFD_CCP_CALL(4U, 0,
                         *c1_bouton_droite == 1.0 != 0U,
                         chartInstance->c1_sfEvent))) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard2 = TRUE;
            }
            break;

           case c1_IN_DROITE:
            CV_STATE_EVAL(15, 0, 2);
            if (CV_TRANSITION_EVAL(6U, (int32_T)_SFD_CCP_CALL(6U, 0,
                  *c1_bouton_droite == 0.0 != 0U, chartInstance->c1_sfEvent))) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard2 = TRUE;
            }
            break;

           case c1_IN_GAUCHE:
            CV_STATE_EVAL(15, 0, 3);
            if (CV_TRANSITION_EVAL(5U, (int32_T)_SFD_CCP_CALL(5U, 0,
                  *c1_bouton_gauche == 0.0 != 0U, chartInstance->c1_sfEvent))) {
              chartInstance->c1_stateChanged = TRUE;
            } else {
              guard2 = TRUE;
            }
            break;

           default:
            CV_STATE_EVAL(15, 0, 0);
            chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
            guard2 = TRUE;
            break;
          }
        }
        break;

       default:
        CV_CHART_EVAL(0, 0, 0);
        chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = (uint8_T)
          c1_IN_NO_ACTIVE_CHILD;
        break;
      }

      if (guard2 == TRUE) {
        switch (chartInstance->c1_is_MOTEUR) {
         case c1_IN_MOTEUR_OFF:
          CV_STATE_EVAL(12, 0, 1);
          c1_i_temp = (_SFD_CCP_CALL(1U, 0, chartInstance->c1_is_SENS ==
            c1_IN_GAUCHE != 0U, chartInstance->c1_sfEvent) != 0);
          if (!c1_i_temp) {
            c1_i_temp = (_SFD_CCP_CALL(1U, 1, chartInstance->c1_is_SENS ==
              c1_IN_DROITE != 0U, chartInstance->c1_sfEvent) != 0);
          }

          if (CV_TRANSITION_EVAL(1U, (int32_T)c1_i_temp)) {
            chartInstance->c1_stateChanged = TRUE;
          }
          break;

         case c1_IN_MOTEUR_ON:
          CV_STATE_EVAL(12, 0, 2);
          if (CV_TRANSITION_EVAL(2U, (int32_T)_SFD_CCP_CALL(2U, 0,
                chartInstance->c1_is_SENS == c1_IN_ARRET != 0U,
                chartInstance->c1_sfEvent))) {
            chartInstance->c1_stateChanged = TRUE;
          }
          break;

         default:
          CV_STATE_EVAL(12, 0, 0);
          chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
          break;
        }
      }

      if (guard1 == TRUE) {
        switch (chartInstance->c1_b_is_MOTEUR) {
         case c1_IN_MOTEUR_OFF:
          CV_STATE_EVAL(1, 0, 1);
          c1_e_temp = (_SFD_CCP_CALL(9U, 0, chartInstance->c1_b_is_SENS ==
            c1_IN_AUTO_GAUCHE != 0U, chartInstance->c1_sfEvent) != 0);
          if (!c1_e_temp) {
            c1_e_temp = (_SFD_CCP_CALL(9U, 1, chartInstance->c1_b_is_SENS ==
              c1_IN_AUTO_DROITE != 0U, chartInstance->c1_sfEvent) != 0);
          }

          c1_f_temp = c1_e_temp;
          if (!c1_f_temp) {
            c1_f_temp = (_SFD_CCP_CALL(9U, 2, chartInstance->c1_b_is_SENS ==
              c1_IN_RETOUR_DROITE != 0U, chartInstance->c1_sfEvent) != 0);
          }

          c1_g_temp = c1_f_temp;
          if (!c1_g_temp) {
            c1_g_temp = (_SFD_CCP_CALL(9U, 3, chartInstance->c1_b_is_SENS ==
              c1_IN_RETOUR_GAUCHE != 0U, chartInstance->c1_sfEvent) != 0);
          }

          if (CV_TRANSITION_EVAL(9U, (int32_T)c1_g_temp)) {
            chartInstance->c1_stateChanged = TRUE;
          }
          break;

         case c1_IN_MOTEUR_ON:
          CV_STATE_EVAL(1, 0, 2);
          c1_h_temp = (_SFD_CCP_CALL(10U, 0, chartInstance->c1_b_is_SENS ==
            c1_IN_AUTO_ARRET != 0U, chartInstance->c1_sfEvent) != 0);
          if (!c1_h_temp) {
            c1_h_temp = (_SFD_CCP_CALL(10U, 1, chartInstance->c1_b_is_SENS ==
              c1_IN_ATTENTE != 0U, chartInstance->c1_sfEvent) != 0);
          }

          if (CV_TRANSITION_EVAL(10U, (int32_T)c1_h_temp)) {
            chartInstance->c1_stateChanged = TRUE;
          }
          break;

         default:
          CV_STATE_EVAL(1, 0, 0);
          chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
          break;
        }
      }
    }

    if (chartInstance->c1_stateChanged) {
      *c1_zcVar = 1.0;
    } else {
      *c1_zcVar = -1.0;
    }
  }
}

static void derivatives_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  switch (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8) {
   case c1_IN_AUTO:
    CV_CHART_EVAL(0, 0, 1);
    switch (chartInstance->c1_b_is_SENS) {
     case c1_IN_ATTENTE:
      CV_STATE_EVAL(4, 0, 1);
      break;

     case c1_IN_AUTO_ARRET:
      CV_STATE_EVAL(4, 0, 2);
      break;

     case c1_IN_AUTO_DROITE:
      CV_STATE_EVAL(4, 0, 3);
      break;

     case c1_IN_AUTO_GAUCHE:
      CV_STATE_EVAL(4, 0, 4);
      break;

     case c1_IN_RETOUR_DROITE:
      CV_STATE_EVAL(4, 0, 5);
      break;

     case c1_IN_RETOUR_GAUCHE:
      CV_STATE_EVAL(4, 0, 6);
      break;

     default:
      CV_STATE_EVAL(4, 0, 0);
      chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
      break;
    }

    switch (chartInstance->c1_b_is_MOTEUR) {
     case c1_IN_MOTEUR_OFF:
      CV_STATE_EVAL(1, 0, 1);
      break;

     case c1_IN_MOTEUR_ON:
      CV_STATE_EVAL(1, 0, 2);
      break;

     default:
      CV_STATE_EVAL(1, 0, 0);
      chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
      break;
    }
    break;

   case c1_IN_MANUEL:
    CV_CHART_EVAL(0, 0, 2);
    switch (chartInstance->c1_is_SENS) {
     case c1_IN_ARRET:
      CV_STATE_EVAL(15, 0, 1);
      break;

     case c1_IN_DROITE:
      CV_STATE_EVAL(15, 0, 2);
      break;

     case c1_IN_GAUCHE:
      CV_STATE_EVAL(15, 0, 3);
      break;

     default:
      CV_STATE_EVAL(15, 0, 0);
      chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
      break;
    }

    switch (chartInstance->c1_is_MOTEUR) {
     case c1_IN_MOTEUR_OFF:
      CV_STATE_EVAL(12, 0, 1);
      break;

     case c1_IN_MOTEUR_ON:
      CV_STATE_EVAL(12, 0, 2);
      break;

     default:
      CV_STATE_EVAL(12, 0, 0);
      chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
      break;
    }
    break;

   default:
    CV_CHART_EVAL(0, 0, 0);
    chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = (uint8_T)
      c1_IN_NO_ACTIVE_CHILD;
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
    break;
  }
}

static void outputs_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  switch (chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8) {
   case c1_IN_AUTO:
    CV_CHART_EVAL(0, 0, 1);
    switch (chartInstance->c1_b_is_SENS) {
     case c1_IN_ATTENTE:
      CV_STATE_EVAL(4, 0, 1);
      break;

     case c1_IN_AUTO_ARRET:
      CV_STATE_EVAL(4, 0, 2);
      break;

     case c1_IN_AUTO_DROITE:
      CV_STATE_EVAL(4, 0, 3);
      break;

     case c1_IN_AUTO_GAUCHE:
      CV_STATE_EVAL(4, 0, 4);
      break;

     case c1_IN_RETOUR_DROITE:
      CV_STATE_EVAL(4, 0, 5);
      break;

     case c1_IN_RETOUR_GAUCHE:
      CV_STATE_EVAL(4, 0, 6);
      break;

     default:
      CV_STATE_EVAL(4, 0, 0);
      chartInstance->c1_b_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
      break;
    }

    switch (chartInstance->c1_b_is_MOTEUR) {
     case c1_IN_MOTEUR_OFF:
      CV_STATE_EVAL(1, 0, 1);
      break;

     case c1_IN_MOTEUR_ON:
      CV_STATE_EVAL(1, 0, 2);
      break;

     default:
      CV_STATE_EVAL(1, 0, 0);
      chartInstance->c1_b_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
      break;
    }
    break;

   case c1_IN_MANUEL:
    CV_CHART_EVAL(0, 0, 2);
    switch (chartInstance->c1_is_SENS) {
     case c1_IN_ARRET:
      CV_STATE_EVAL(15, 0, 1);
      break;

     case c1_IN_DROITE:
      CV_STATE_EVAL(15, 0, 2);
      break;

     case c1_IN_GAUCHE:
      CV_STATE_EVAL(15, 0, 3);
      break;

     default:
      CV_STATE_EVAL(15, 0, 0);
      chartInstance->c1_is_SENS = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 16U, chartInstance->c1_sfEvent);
      break;
    }

    switch (chartInstance->c1_is_MOTEUR) {
     case c1_IN_MOTEUR_OFF:
      CV_STATE_EVAL(12, 0, 1);
      break;

     case c1_IN_MOTEUR_ON:
      CV_STATE_EVAL(12, 0, 2);
      break;

     default:
      CV_STATE_EVAL(12, 0, 0);
      chartInstance->c1_is_MOTEUR = (uint8_T)c1_IN_NO_ACTIVE_CHILD;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 13U, chartInstance->c1_sfEvent);
      break;
    }
    break;

   default:
    CV_CHART_EVAL(0, 0, 0);
    chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 = (uint8_T)
      c1_IN_NO_ACTIVE_CHILD;
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
    break;
  }
}

static void initSimStructsc1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
}

static void init_script_number_translation(uint32_T c1_machineNumber, uint32_T
  c1_chartNumber)
{
}

const mxArray
  *sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_get_eml_resolved_functions_info(void)
{
  const mxArray *c1_nameCaptureInfo = NULL;
  c1_nameCaptureInfo = NULL;
  sf_mex_assign(&c1_nameCaptureInfo, sf_mex_create("nameCaptureInfo", NULL, 0,
    0U, 1U, 0U, 2, 0, 1));
  return c1_nameCaptureInfo;
}

static void c1_eml_ini_fcn_to_be_inlined_206
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
}

static void c1_eml_term_fcn_to_be_inlined_206
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
}

static const mxArray *c1_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, int32_T
   c1_u)
{
  const mxArray *c1_y = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_create("y", &c1_u, 6, 0U, 0U, 0U, 0));
  return c1_y;
}

static const mxArray *c1_sf_marshallOut(void *chartInstanceVoid, void *c1_inData)
{
  const mxArray *c1_mxArrayOutData = NULL;
  SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
  chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)
    chartInstanceVoid;
  c1_mxArrayOutData = NULL;
  sf_mex_assign(&c1_mxArrayOutData, c1_emlrt_marshallOut(chartInstance,
    *(int32_T *)c1_inData));
  return c1_mxArrayOutData;
}

static int32_T c1_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_b_sfEvent, const char_T *c1_identifier)
{
  int32_T c1_y;
  emlrtMsgIdentifier c1_thisId;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_y = c1_b_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_b_sfEvent),
    &c1_thisId);
  sf_mex_destroy(&c1_b_sfEvent);
  return c1_y;
}

static int32_T c1_b_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  int32_T c1_y;
  int32_T c1_i0;
  sf_mex_import(c1_parentId, sf_mex_dup(c1_u), &c1_i0, 1, 6, 0U, 0, 0U, 0);
  c1_y = c1_i0;
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static void c1_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData)
{
  SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
  chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)
    chartInstanceVoid;
  *(int32_T *)c1_outData = c1_emlrt_marshallIn(chartInstance, sf_mex_dup
    (c1_mxArrayInData), c1_varName);
  sf_mex_destroy(&c1_mxArrayInData);
}

static const mxArray *c1_b_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, uint8_T
   c1_u)
{
  const mxArray *c1_y = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_create("y", &c1_u, 3, 0U, 0U, 0U, 0));
  return c1_y;
}

static const mxArray *c1_b_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData)
{
  const mxArray *c1_mxArrayOutData = NULL;
  SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
  chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)
    chartInstanceVoid;
  c1_mxArrayOutData = NULL;
  sf_mex_assign(&c1_mxArrayOutData, c1_b_emlrt_marshallOut(chartInstance,
    *(uint8_T *)c1_inData));
  return c1_mxArrayOutData;
}

static uint8_T c1_c_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_b_tp_MANUEL, const char_T *c1_identifier)
{
  uint8_T c1_y;
  emlrtMsgIdentifier c1_thisId;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_y = c1_d_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_b_tp_MANUEL),
    &c1_thisId);
  sf_mex_destroy(&c1_b_tp_MANUEL);
  return c1_y;
}

static uint8_T c1_d_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  uint8_T c1_y;
  uint8_T c1_u0;
  sf_mex_import(c1_parentId, sf_mex_dup(c1_u), &c1_u0, 1, 3, 0U, 0, 0U, 0);
  c1_y = c1_u0;
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static void c1_b_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData)
{
  SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
  chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)
    chartInstanceVoid;
  *(uint8_T *)c1_outData = c1_c_emlrt_marshallIn(chartInstance, sf_mex_dup
    (c1_mxArrayInData), c1_varName);
  sf_mex_destroy(&c1_mxArrayInData);
}

static const mxArray *c1_c_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, real_T
   c1_u)
{
  const mxArray *c1_y = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_create("y", &c1_u, 0, 0U, 0U, 0U, 0));
  return c1_y;
}

static const mxArray *c1_c_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData)
{
  const mxArray *c1_mxArrayOutData = NULL;
  SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
  chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)
    chartInstanceVoid;
  c1_mxArrayOutData = NULL;
  sf_mex_assign(&c1_mxArrayOutData, c1_c_emlrt_marshallOut(chartInstance,
    *(real_T *)c1_inData));
  return c1_mxArrayOutData;
}

static real_T c1_e_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_sens_rotation, const char_T *c1_identifier)
{
  real_T c1_y;
  emlrtMsgIdentifier c1_thisId;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_y = c1_f_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_sens_rotation),
    &c1_thisId);
  sf_mex_destroy(&c1_sens_rotation);
  return c1_y;
}

static real_T c1_f_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  real_T c1_y;
  real_T c1_d0;
  sf_mex_import(c1_parentId, sf_mex_dup(c1_u), &c1_d0, 1, 0, 0U, 0, 0U, 0);
  c1_y = c1_d0;
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static void c1_c_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData)
{
  SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
  chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)
    chartInstanceVoid;
  *(real_T *)c1_outData = c1_e_emlrt_marshallIn(chartInstance, sf_mex_dup
    (c1_mxArrayInData), c1_varName);
  sf_mex_destroy(&c1_mxArrayInData);
}

static const mxArray *c1_d_emlrt_marshallOut
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
  const mxArray *c1_y;
  real_T *c1_moteur_on;
  real_T *c1_sens_rotation;
  c1_moteur_on = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
  c1_sens_rotation = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  c1_y = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_createcellarray(14));
  sf_mex_setcell(c1_y, 0, c1_c_emlrt_marshallOut(chartInstance, *c1_moteur_on));
  sf_mex_setcell(c1_y, 1, c1_c_emlrt_marshallOut(chartInstance,
    *c1_sens_rotation));
  sf_mex_setcell(c1_y, 2, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8));
  sf_mex_setcell(c1_y, 3, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_is_active_SENS));
  sf_mex_setcell(c1_y, 4, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_is_active_MOTEUR));
  sf_mex_setcell(c1_y, 5, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_b_is_active_SENS));
  sf_mex_setcell(c1_y, 6, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_b_is_active_MOTEUR));
  sf_mex_setcell(c1_y, 7, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8));
  sf_mex_setcell(c1_y, 8, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_is_SENS));
  sf_mex_setcell(c1_y, 9, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_is_MOTEUR));
  sf_mex_setcell(c1_y, 10, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_b_is_SENS));
  sf_mex_setcell(c1_y, 11, c1_b_emlrt_marshallOut(chartInstance,
    chartInstance->c1_b_is_MOTEUR));
  sf_mex_setcell(c1_y, 12, c1_c_emlrt_marshallOut(chartInstance,
    chartInstance->c1_temporalCounter_i1));
  sf_mex_setcell(c1_y, 13, c1_c_emlrt_marshallOut(chartInstance,
    chartInstance->c1_previousTime));
  return c1_y;
}

static void c1_g_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u)
{
  real_T *c1_moteur_on;
  real_T *c1_sens_rotation;
  c1_moteur_on = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
  c1_sens_rotation = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  *c1_moteur_on = c1_e_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell
    (c1_u, 0)), "moteur_on");
  *c1_sens_rotation = c1_e_emlrt_marshallIn(chartInstance, sf_mex_dup
    (sf_mex_getcell(c1_u, 1)), "sens_rotation");
  chartInstance->c1_is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 =
    c1_c_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell(c1_u, 2)),
    "is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8");
  chartInstance->c1_is_active_SENS = c1_c_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 3)), "is_active_SENS");
  chartInstance->c1_is_active_MOTEUR = c1_c_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 4)), "is_active_MOTEUR");
  chartInstance->c1_b_is_active_SENS = c1_c_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 5)), "is_active_SENS");
  chartInstance->c1_b_is_active_MOTEUR = c1_c_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 6)), "is_active_MOTEUR");
  chartInstance->c1_is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8 =
    c1_c_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell(c1_u, 7)),
    "is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8");
  chartInstance->c1_is_SENS = c1_c_emlrt_marshallIn(chartInstance, sf_mex_dup
    (sf_mex_getcell(c1_u, 8)), "is_SENS");
  chartInstance->c1_is_MOTEUR = c1_c_emlrt_marshallIn(chartInstance, sf_mex_dup
    (sf_mex_getcell(c1_u, 9)), "is_MOTEUR");
  chartInstance->c1_b_is_SENS = c1_c_emlrt_marshallIn(chartInstance, sf_mex_dup
    (sf_mex_getcell(c1_u, 10)), "is_SENS");
  chartInstance->c1_b_is_MOTEUR = c1_c_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 11)), "is_MOTEUR");
  chartInstance->c1_temporalCounter_i1 = c1_e_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 12)), "temporalCounter_i1");
  chartInstance->c1_previousTime = c1_e_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 13)), "previousTime");
  sf_mex_assign(&chartInstance->c1_setSimStateSideEffectsInfo,
                c1_h_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell
    (c1_u, 14)), "setSimStateSideEffectsInfo"));
  sf_mex_destroy(&c1_u);
}

static const mxArray *c1_h_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_b_setSimStateSideEffectsInfo, const char_T *c1_identifier)
{
  const mxArray *c1_y = NULL;
  emlrtMsgIdentifier c1_thisId;
  c1_y = NULL;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  sf_mex_assign(&c1_y, c1_i_emlrt_marshallIn(chartInstance, sf_mex_dup
    (c1_b_setSimStateSideEffectsInfo), &c1_thisId));
  sf_mex_destroy(&c1_b_setSimStateSideEffectsInfo);
  return c1_y;
}

static const mxArray *c1_i_emlrt_marshallIn
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance, const
   mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  const mxArray *c1_y = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_duplicatearraysafe(&c1_u));
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static void init_dsm_address_info
  (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance)
{
}

/* SFunction Glue Code */
void sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_get_check_sum(mxArray *plhs[])
{
  ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(1675967917U);
  ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(2489044952U);
  ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(1672255699U);
  ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(3892868914U);
}

mxArray *sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_get_autoinheritance_info(void)
{
  const char *autoinheritanceFields[] = { "checksum", "inputs", "parameters",
    "outputs", "locals" };

  mxArray *mxAutoinheritanceInfo = mxCreateStructMatrix(1,1,5,
    autoinheritanceFields);

  {
    mxArray *mxChecksum = mxCreateDoubleMatrix(4,1,mxREAL);
    double *pr = mxGetPr(mxChecksum);
    pr[0] = (double)(3420964579U);
    pr[1] = (double)(2478598960U);
    pr[2] = (double)(2075612578U);
    pr[3] = (double)(2218005986U);
    mxSetField(mxAutoinheritanceInfo,0,"checksum",mxChecksum);
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,5,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,1,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,1,"type",mxType);
    }

    mxSetField(mxData,1,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,2,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,2,"type",mxType);
    }

    mxSetField(mxData,2,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,3,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,3,"type",mxType);
    }

    mxSetField(mxData,3,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,4,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,4,"type",mxType);
    }

    mxSetField(mxData,4,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"inputs",mxData);
  }

  {
    mxSetField(mxAutoinheritanceInfo,0,"parameters",mxCreateDoubleMatrix(0,0,
                mxREAL));
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,2,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,1,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,1,"type",mxType);
    }

    mxSetField(mxData,1,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"outputs",mxData);
  }

  {
    mxSetField(mxAutoinheritanceInfo,0,"locals",mxCreateDoubleMatrix(0,0,mxREAL));
  }

  return(mxAutoinheritanceInfo);
}

static const mxArray *sf_get_sim_state_info_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (void)
{
  const char *infoFields[] = { "chartChecksum", "varInfo" };

  mxArray *mxInfo = mxCreateStructMatrix(1, 1, 2, infoFields);
  const char *infoEncStr[] = {
    "100 S1x10'type','srcId','name','auxInfo'{{M[1],M[5],T\"moteur_on\",},{M[1],M[3],T\"sens_rotation\",},{M[8],M[0],T\"is_active_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8\",},{M[8],M[77],T\"is_active_SENS\",},{M[8],M[80],T\"is_active_MOTEUR\",},{M[8],M[100],T\"is_active_SENS\",},{M[8],M[101],T\"is_active_MOTEUR\",},{M[9],M[0],T\"is_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8\",},{M[9],M[77],T\"is_SENS\",},{M[9],M[80],T\"is_MOTEUR\",}}",
    "100 S1x4'type','srcId','name','auxInfo'{{M[9],M[100],T\"is_SENS\",},{M[9],M[101],T\"is_MOTEUR\",},{M[11],M[0],T\"temporalCounter_i1\",S'et','os','ct'{{T\"at\",M[148],M[1]}}},{M[13],M[0],T\"previousTime\",}}"
  };

  mxArray *mxVarInfo = sf_mex_decode_encoded_mx_struct_array(infoEncStr, 14, 10);
  mxArray *mxChecksum = mxCreateDoubleMatrix(1, 4, mxREAL);
  sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_get_check_sum(&mxChecksum);
  mxSetField(mxInfo, 0, infoFields[0], mxChecksum);
  mxSetField(mxInfo, 0, infoFields[1], mxVarInfo);
  return mxInfo;
}

static void chart_debug_initialization(SimStruct *S, unsigned int
  fullDebuggerInitialization)
{
  if (!sim_mode_is_rtw_gen(S)) {
    SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
    chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)
      ((ChartInfoStruct *)(ssGetUserData(S)))->chartInstance;
    if (ssIsFirstInitCond(S) && fullDebuggerInitialization==1) {
      /* do this only if simulation is starting */
      {
        unsigned int chartAlreadyPresent;
        chartAlreadyPresent = sf_debug_initialize_chart
          (_PILOTE_SIMMECHANICS_STATEFLOW_V8MachineNumber_,
           1,
           19,
           22,
           7,
           0,
           0,
           0,
           0,
           0,
           &(chartInstance->chartNumber),
           &(chartInstance->instanceNumber),
           ssGetPath(S),
           (void *)S);
        if (chartAlreadyPresent==0) {
          /* this is the first instance */
          init_script_number_translation
            (_PILOTE_SIMMECHANICS_STATEFLOW_V8MachineNumber_,
             chartInstance->chartNumber);
          sf_debug_set_chart_disable_implicit_casting
            (_PILOTE_SIMMECHANICS_STATEFLOW_V8MachineNumber_,
             chartInstance->chartNumber,1);
          sf_debug_set_chart_event_thresholds
            (_PILOTE_SIMMECHANICS_STATEFLOW_V8MachineNumber_,
             chartInstance->chartNumber,
             0,
             0,
             0);
          _SFD_SET_DATA_PROPS(0,1,1,0,"ecart_cap");
          _SFD_SET_DATA_PROPS(1,2,0,1,"sens_rotation");
          _SFD_SET_DATA_PROPS(2,2,0,1,"moteur_on");
          _SFD_SET_DATA_PROPS(3,1,1,0,"pos_coul");
          _SFD_SET_DATA_PROPS(4,1,1,0,"bouton_gauche");
          _SFD_SET_DATA_PROPS(5,1,1,0,"bouton_droite");
          _SFD_SET_DATA_PROPS(6,1,1,0,"mode_auto");
          _SFD_STATE_INFO(0,1,0);
          _SFD_STATE_INFO(1,0,1);
          _SFD_STATE_INFO(2,0,0);
          _SFD_STATE_INFO(3,0,0);
          _SFD_STATE_INFO(4,0,1);
          _SFD_STATE_INFO(5,0,0);
          _SFD_STATE_INFO(6,0,0);
          _SFD_STATE_INFO(7,0,0);
          _SFD_STATE_INFO(8,0,0);
          _SFD_STATE_INFO(9,0,0);
          _SFD_STATE_INFO(10,0,0);
          _SFD_STATE_INFO(11,1,0);
          _SFD_STATE_INFO(12,0,1);
          _SFD_STATE_INFO(13,0,0);
          _SFD_STATE_INFO(14,0,0);
          _SFD_STATE_INFO(15,0,1);
          _SFD_STATE_INFO(16,0,0);
          _SFD_STATE_INFO(17,0,0);
          _SFD_STATE_INFO(18,0,0);
          _SFD_CH_SUBSTATE_COUNT(2);
          _SFD_CH_SUBSTATE_DECOMP(0);
          _SFD_CH_SUBSTATE_INDEX(0,0);
          _SFD_CH_SUBSTATE_INDEX(1,11);
          _SFD_ST_SUBSTATE_COUNT(0,2);
          _SFD_ST_SUBSTATE_INDEX(0,0,4);
          _SFD_ST_SUBSTATE_INDEX(0,1,1);
          _SFD_ST_SUBSTATE_COUNT(4,6);
          _SFD_ST_SUBSTATE_INDEX(4,0,5);
          _SFD_ST_SUBSTATE_INDEX(4,1,6);
          _SFD_ST_SUBSTATE_INDEX(4,2,7);
          _SFD_ST_SUBSTATE_INDEX(4,3,8);
          _SFD_ST_SUBSTATE_INDEX(4,4,9);
          _SFD_ST_SUBSTATE_INDEX(4,5,10);
          _SFD_ST_SUBSTATE_COUNT(5,0);
          _SFD_ST_SUBSTATE_COUNT(6,0);
          _SFD_ST_SUBSTATE_COUNT(7,0);
          _SFD_ST_SUBSTATE_COUNT(8,0);
          _SFD_ST_SUBSTATE_COUNT(9,0);
          _SFD_ST_SUBSTATE_COUNT(10,0);
          _SFD_ST_SUBSTATE_COUNT(1,2);
          _SFD_ST_SUBSTATE_INDEX(1,0,2);
          _SFD_ST_SUBSTATE_INDEX(1,1,3);
          _SFD_ST_SUBSTATE_COUNT(2,0);
          _SFD_ST_SUBSTATE_COUNT(3,0);
          _SFD_ST_SUBSTATE_COUNT(11,2);
          _SFD_ST_SUBSTATE_INDEX(11,0,15);
          _SFD_ST_SUBSTATE_INDEX(11,1,12);
          _SFD_ST_SUBSTATE_COUNT(15,3);
          _SFD_ST_SUBSTATE_INDEX(15,0,16);
          _SFD_ST_SUBSTATE_INDEX(15,1,17);
          _SFD_ST_SUBSTATE_INDEX(15,2,18);
          _SFD_ST_SUBSTATE_COUNT(16,0);
          _SFD_ST_SUBSTATE_COUNT(17,0);
          _SFD_ST_SUBSTATE_COUNT(18,0);
          _SFD_ST_SUBSTATE_COUNT(12,2);
          _SFD_ST_SUBSTATE_INDEX(12,0,13);
          _SFD_ST_SUBSTATE_INDEX(12,1,14);
          _SFD_ST_SUBSTATE_COUNT(13,0);
          _SFD_ST_SUBSTATE_COUNT(14,0);
        }

        _SFD_CV_INIT_CHART(2,1,0,0);

        {
          _SFD_CV_INIT_STATE(0,2,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(1,2,1,1,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(2,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(3,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(4,6,1,1,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(5,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(6,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(7,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(8,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(9,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(10,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(11,2,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(12,2,1,1,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(13,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(14,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(15,3,1,1,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(16,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(17,0,0,0,0,0,NULL,NULL);
        }

        {
          _SFD_CV_INIT_STATE(18,0,0,0,0,0,NULL,NULL);
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(4,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(3,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        _SFD_CV_INIT_TRANS(0,0,NULL,NULL,0,NULL);

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 10 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(2,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1, 14 };

          static unsigned int sEndGuardMap[] = { 11, 24 };

          static int sPostFixPredicateTree[] = { 0, 1, -2 };

          _SFD_CV_INIT_TRANS(1,2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),3,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(5,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(6,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        _SFD_CV_INIT_TRANS(7,0,NULL,NULL,0,NULL);
        _SFD_CV_INIT_TRANS(8,0,NULL,NULL,0,NULL);

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 13 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(15,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 13 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(14,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        _SFD_CV_INIT_TRANS(13,0,NULL,NULL,0,NULL);
        _SFD_CV_INIT_TRANS(12,0,NULL,NULL,0,NULL);

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(21,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1, 17 };

          static unsigned int sEndGuardMap[] = { 14, 31 };

          static int sPostFixPredicateTree[] = { 0, 1, -2 };

          _SFD_CV_INIT_TRANS(20,2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),3,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1, 14 };

          static unsigned int sEndGuardMap[] = { 13, 28 };

          static int sPostFixPredicateTree[] = { 0, 1, -3 };

          _SFD_CV_INIT_TRANS(19,2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),3,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1, 14 };

          static unsigned int sEndGuardMap[] = { 12, 27 };

          static int sPostFixPredicateTree[] = { 0, 1, -3 };

          _SFD_CV_INIT_TRANS(11,2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),3,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1, 15 };

          static unsigned int sEndGuardMap[] = { 13, 28 };

          static int sPostFixPredicateTree[] = { 0, 1, -2 };

          _SFD_CV_INIT_TRANS(16,2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),3,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1, 20, 39, 60 };

          static unsigned int sEndGuardMap[] = { 16, 35, 56, 77 };

          static int sPostFixPredicateTree[] = { 0, 1, -2, 2, -2, 3, -2 };

          _SFD_CV_INIT_TRANS(9,4,&(sStartGuardMap[0]),&(sEndGuardMap[0]),7,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 13 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(18,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(17,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1, 19 };

          static unsigned int sEndGuardMap[] = { 15, 30 };

          static int sPostFixPredicateTree[] = { 0, 1, -2 };

          _SFD_CV_INIT_TRANS(10,2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),3,
                             &(sPostFixPredicateTree[0]));
        }

        _SFD_TRANS_COV_WTS(4,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          _SFD_TRANS_COV_MAPS(4,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(3,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          _SFD_TRANS_COV_MAPS(3,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(0,0,0,0,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(0,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(2,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 10 };

          _SFD_TRANS_COV_MAPS(2,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(1,0,2,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1, 14 };

          static unsigned int sEndGuardMap[] = { 11, 24 };

          _SFD_TRANS_COV_MAPS(1,
                              0,NULL,NULL,
                              2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(5,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          _SFD_TRANS_COV_MAPS(5,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(6,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          _SFD_TRANS_COV_MAPS(6,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(7,0,0,0,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(7,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(8,0,0,0,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(8,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(15,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 13 };

          _SFD_TRANS_COV_MAPS(15,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(14,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 13 };

          _SFD_TRANS_COV_MAPS(14,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(13,0,0,0,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(13,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(12,0,0,0,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(12,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(21,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          _SFD_TRANS_COV_MAPS(21,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(20,0,2,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1, 17 };

          static unsigned int sEndGuardMap[] = { 14, 31 };

          _SFD_TRANS_COV_MAPS(20,
                              0,NULL,NULL,
                              2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(19,0,2,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1, 14 };

          static unsigned int sEndGuardMap[] = { 13, 28 };

          _SFD_TRANS_COV_MAPS(19,
                              0,NULL,NULL,
                              2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(11,0,2,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1, 14 };

          static unsigned int sEndGuardMap[] = { 12, 27 };

          _SFD_TRANS_COV_MAPS(11,
                              0,NULL,NULL,
                              2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(16,0,2,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1, 15 };

          static unsigned int sEndGuardMap[] = { 13, 28 };

          _SFD_TRANS_COV_MAPS(16,
                              0,NULL,NULL,
                              2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(9,0,4,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1, 20, 39, 60 };

          static unsigned int sEndGuardMap[] = { 16, 35, 56, 77 };

          _SFD_TRANS_COV_MAPS(9,
                              0,NULL,NULL,
                              4,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(18,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 13 };

          _SFD_TRANS_COV_MAPS(18,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(17,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 17 };

          _SFD_TRANS_COV_MAPS(17,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(10,0,2,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1, 19 };

          static unsigned int sEndGuardMap[] = { 15, 30 };

          _SFD_TRANS_COV_MAPS(10,
                              0,NULL,NULL,
                              2,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_SET_DATA_COMPILED_PROPS(0,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)NULL);
        _SFD_SET_DATA_COMPILED_PROPS(1,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)c1_c_sf_marshallIn);
        _SFD_SET_DATA_COMPILED_PROPS(2,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)c1_c_sf_marshallIn);
        _SFD_SET_DATA_COMPILED_PROPS(3,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)NULL);
        _SFD_SET_DATA_COMPILED_PROPS(4,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)NULL);
        _SFD_SET_DATA_COMPILED_PROPS(5,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)NULL);
        _SFD_SET_DATA_COMPILED_PROPS(6,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)NULL);

        {
          real_T *c1_ecart_cap;
          real_T *c1_sens_rotation;
          real_T *c1_moteur_on;
          real_T *c1_pos_coul;
          real_T *c1_bouton_gauche;
          real_T *c1_bouton_droite;
          real_T *c1_mode_auto;
          c1_mode_auto = (real_T *)ssGetInputPortSignal(chartInstance->S, 4);
          c1_bouton_droite = (real_T *)ssGetInputPortSignal(chartInstance->S, 3);
          c1_bouton_gauche = (real_T *)ssGetInputPortSignal(chartInstance->S, 2);
          c1_pos_coul = (real_T *)ssGetInputPortSignal(chartInstance->S, 1);
          c1_moteur_on = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
          c1_sens_rotation = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
          c1_ecart_cap = (real_T *)ssGetInputPortSignal(chartInstance->S, 0);
          _SFD_SET_DATA_VALUE_PTR(0U, c1_ecart_cap);
          _SFD_SET_DATA_VALUE_PTR(1U, c1_sens_rotation);
          _SFD_SET_DATA_VALUE_PTR(2U, c1_moteur_on);
          _SFD_SET_DATA_VALUE_PTR(3U, c1_pos_coul);
          _SFD_SET_DATA_VALUE_PTR(4U, c1_bouton_gauche);
          _SFD_SET_DATA_VALUE_PTR(5U, c1_bouton_droite);
          _SFD_SET_DATA_VALUE_PTR(6U, c1_mode_auto);
        }
      }
    } else {
      sf_debug_reset_current_state_configuration
        (_PILOTE_SIMMECHANICS_STATEFLOW_V8MachineNumber_,
         chartInstance->chartNumber,chartInstance->instanceNumber);
    }
  }
}

static void sf_opaque_initialize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  chart_debug_initialization
    (((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar)
     ->S,0);
  initialize_params_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
  initialize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

static void sf_opaque_enable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  enable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

static void sf_opaque_disable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  disable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

static void sf_opaque_zeroCrossings_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  zeroCrossings_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

static void sf_opaque_outputs_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  outputs_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

static void sf_opaque_derivatives_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  derivatives_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

static void sf_opaque_gateway_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  sf_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

extern const mxArray*
  sf_internal_get_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(SimStruct* S)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_raw2high");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = (mxArray*) get_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*)
     chartInfo->chartInstance);        /* raw sim ctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ();                                /* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_raw2high'.\n");
  }

  return plhs[0];
}

extern void sf_internal_set_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SimStruct* S, const mxArray *st)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_high2raw");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = mxDuplicateArray(st);      /* high level simctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ();                                /* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_high2raw'.\n");
  }

  set_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*)
     chartInfo->chartInstance, mxDuplicateArray(plhs[0]));
  mxDestroyArray(plhs[0]);
}

static const mxArray*
  sf_opaque_get_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(SimStruct* S)
{
  return sf_internal_get_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(S);
}

static void sf_opaque_set_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
  (SimStruct* S, const mxArray *st)
{
  sf_internal_set_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(S, st);
}

static void sf_opaque_terminate_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(void
  *chartInstanceVar)
{
  if (chartInstanceVar!=NULL) {
    SimStruct *S = ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*)
                    chartInstanceVar)->S;
    if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
      sf_clear_rtw_identifier(S);
    }

    finalize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
      ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
    free((void *)chartInstanceVar);
    ssSetUserData(S,NULL);
  }
}

static void sf_opaque_init_subchart_simstructs(void *chartInstanceVar)
{
  initSimStructsc1_PILOTE_SIMMECHANICS_STATEFLOW_V8
    ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*) chartInstanceVar);
}

extern unsigned int sf_machine_global_initializer_called(void);
static void mdlProcessParameters_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(SimStruct
  *S)
{
  int i;
  for (i=0;i<ssGetNumRunTimeParams(S);i++) {
    if (ssGetSFcnParamTunable(S,i)) {
      ssUpdateDlgParamAsRunTimeParam(S,i);
    }
  }

  if (sf_machine_global_initializer_called()) {
    initialize_params_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8
      ((SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct*)(((ChartInfoStruct *)
         ssGetUserData(S))->chartInstance));
  }
}

static void mdlSetWorkWidths_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(SimStruct *S)
{
  ssSetNeedAbsoluteTime(S,1);
  if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
    int_T chartIsInlinable =
      (int_T)sf_is_chart_inlinable(S,"PILOTE_SIMMECHANICS_STATEFLOW_V8",
      "PILOTE_SIMMECHANICS_STATEFLOW_V8",1);
    ssSetStateflowIsInlinable(S,chartIsInlinable);
    ssSetRTWCG(S,sf_rtw_info_uint_prop(S,"PILOTE_SIMMECHANICS_STATEFLOW_V8",
                "PILOTE_SIMMECHANICS_STATEFLOW_V8",1,"RTWCG"));
    ssSetNotMultipleInlinable(S,sf_rtw_info_uint_prop(S,
      "PILOTE_SIMMECHANICS_STATEFLOW_V8","PILOTE_SIMMECHANICS_STATEFLOW_V8",1,
      "gatewayCannotBeInlinedMultipleTimes"));
    if (chartIsInlinable) {
      ssSetInputPortOptimOpts(S, 0, SS_REUSABLE_AND_LOCAL);
      ssSetInputPortOptimOpts(S, 1, SS_REUSABLE_AND_LOCAL);
      ssSetInputPortOptimOpts(S, 2, SS_REUSABLE_AND_LOCAL);
      ssSetInputPortOptimOpts(S, 3, SS_REUSABLE_AND_LOCAL);
      ssSetInputPortOptimOpts(S, 4, SS_REUSABLE_AND_LOCAL);
      sf_mark_chart_expressionable_inputs(S,"PILOTE_SIMMECHANICS_STATEFLOW_V8",
        "PILOTE_SIMMECHANICS_STATEFLOW_V8",1,5);
      sf_mark_chart_reusable_outputs(S,"PILOTE_SIMMECHANICS_STATEFLOW_V8",
        "PILOTE_SIMMECHANICS_STATEFLOW_V8",1,2);
    }

    sf_set_rtw_dwork_info(S,"PILOTE_SIMMECHANICS_STATEFLOW_V8",
                          "PILOTE_SIMMECHANICS_STATEFLOW_V8",1);
    ssSetHasSubFunctions(S,!(chartIsInlinable));
  } else {
  }

  ssSetOptions(S,ssGetOptions(S)|SS_OPTION_WORKS_WITH_CODE_REUSE);
  ssSetChecksum0(S,(3646773436U));
  ssSetChecksum1(S,(1643429462U));
  ssSetChecksum2(S,(1988931834U));
  ssSetChecksum3(S,(4230165261U));
  ssSetmdlDerivatives(S, NULL);
  ssSetExplicitFCSSCtrl(S,1);
}

static void mdlRTW_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S)) {
    sf_write_symbol_mapping(S, "PILOTE_SIMMECHANICS_STATEFLOW_V8",
      "PILOTE_SIMMECHANICS_STATEFLOW_V8",1);
    ssWriteRTWStrParam(S, "StateflowChartType", "Stateflow");
  }
}

static void mdlStart_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(SimStruct *S)
{
  SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *chartInstance;
  chartInstance = (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct *)malloc
    (sizeof(SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct));
  memset(chartInstance, 0, sizeof
         (SFc1_PILOTE_SIMMECHANICS_STATEFLOW_V8InstanceStruct));
  if (chartInstance==NULL) {
    sf_mex_error_message("Could not allocate memory for chart instance.");
  }

  chartInstance->chartInfo.chartInstance = chartInstance;
  chartInstance->chartInfo.isEMLChart = 0;
  chartInstance->chartInfo.chartInitialized = 0;
  chartInstance->chartInfo.sFunctionGateway =
    sf_opaque_gateway_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.initializeChart =
    sf_opaque_initialize_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.terminateChart =
    sf_opaque_terminate_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.enableChart =
    sf_opaque_enable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.disableChart =
    sf_opaque_disable_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.getSimState =
    sf_opaque_get_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.setSimState =
    sf_opaque_set_sim_state_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.getSimStateInfo =
    sf_get_sim_state_info_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.zeroCrossings =
    sf_opaque_zeroCrossings_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.outputs =
    sf_opaque_outputs_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.derivatives =
    sf_opaque_derivatives_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.mdlRTW = mdlRTW_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.mdlStart =
    mdlStart_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.mdlSetWorkWidths =
    mdlSetWorkWidths_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8;
  chartInstance->chartInfo.extModeExec = NULL;
  chartInstance->chartInfo.restoreLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.restoreBeforeLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.storeCurrentConfiguration = NULL;
  chartInstance->S = S;
  ssSetUserData(S,(void *)(&(chartInstance->chartInfo)));/* register the chart instance with simstruct */
  init_dsm_address_info(chartInstance);
  if (!sim_mode_is_rtw_gen(S)) {
  }

  sf_opaque_init_subchart_simstructs(chartInstance->chartInfo.chartInstance);
  chart_debug_initialization(S,1);
}

void c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_method_dispatcher(SimStruct *S, int_T
  method, void *data)
{
  switch (method) {
   case SS_CALL_MDL_START:
    mdlStart_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(S);
    break;

   case SS_CALL_MDL_SET_WORK_WIDTHS:
    mdlSetWorkWidths_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(S);
    break;

   case SS_CALL_MDL_PROCESS_PARAMETERS:
    mdlProcessParameters_c1_PILOTE_SIMMECHANICS_STATEFLOW_V8(S);
    break;

   default:
    /* Unhandled method */
    sf_mex_error_message("Stateflow Internal Error:\n"
                         "Error calling c1_PILOTE_SIMMECHANICS_STATEFLOW_V8_method_dispatcher.\n"
                         "Can't handle method %d.\n", method);
    break;
  }
}
